Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTopMenuOperator Class Reference

The class eZTopMenuOperator does. More...

## Public Member Functions
| __construct ( $name='topmenu')
| operatorList ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators
| $DefaultNames

## Detailed Description

The class eZTopMenuOperator does.

Definition at line 18 of file eztopmenuoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTopMenuOperator::__construct | ( |  | $name = `'topmenu'` | ) |

Constructor

Parameters

  string | $name |

Definition at line 25 of file eztopmenuoperator.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ modify()

eZTopMenuOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 80 of file eztopmenuoperator.php.

References eZPersistentObject\attribute(), eZUser\currentUser(), eZContentObjectTreeNode\fetch(), and eZDebug\writeError().

## ◆ namedParameterList()

eZTopMenuOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 70 of file eztopmenuoperator.php.

## ◆ operatorList()

eZTopMenuOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 62 of file eztopmenuoperator.php.

References $Operators.

## Member Data Documentation

## ◆ $DefaultNames

eZTopMenuOperator::$DefaultNames

Definition at line 199 of file eztopmenuoperator.php.

## ◆ $Operators

eZTopMenuOperator::$Operators

Definition at line 198 of file eztopmenuoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- eztopmenuoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.